Summary: Example policy application
Name: hal-policy
Version: 1.0
Release: 0%{?dist}
License: GPLv2+
Group: System Environment/Base
Source: %{name}-%{version}.tgz
Url: http://%{name}.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: selinux-policy-devel m4 make policycoreutils
Requires(pre): policycoreutils libsemanage

%description 
SELinux policy hal

%files 
%dir /var/spool/%{name}
%dir %{_usr}/share/%{name}
%{_usr}/share/%{name}/hal.pp
%{_usr}/share/%{name}/polkit.pp
%{_usr}/share/selinux/include/services/hal.if
%{_usr}/share/selinux/include/services/polkit.if

%description
HAL Policy Package

%build
make 

%prep 
%setup

%install
# Build targeted policy
%{__rm} -fR %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -fR %{buildroot}

%define saveFileContext() \
if [ -s /etc/selinux/config ]; then \
	. %{_sysconfdir}/selinux/config; \
	FILE_CONTEXT=%{_sysconfdir}/selinux/%1/contexts/files/file_contexts; \
	if [ "${SELINUXTYPE}" == %1 -a -f ${FILE_CONTEXT} ]; then \
		cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.%{name}; \
	fi \
fi;

%define relabel() \
. %{_sysconfdir}/selinux/config; \
FILE_CONTEXT=%{_sysconfdir}/selinux/%1/contexts/files/file_contexts; \
selinuxenabled; \
if [ $? == 0  -a "${SELINUXTYPE}" == %1 -a -f ${FILE_CONTEXT}.%{name} ]; then \
	fixfiles -C ${FILE_CONTEXT}.%{name} restore; \
	rm -f ${FILE_CONTEXT}.%name; \
fi;

%pre
%saveFileContext targeted
%saveFileContext mls

%post
semodule -s targeted -i /usr/share/%{name}/hal.pp /usr/share/%{name}/polkit.pp
%relabel targeted
semodule -s mls -i /usr/share/%{name}/hal.pp /usr/share/%{name}/polkit.pp
%relabel mls

%preun
if [ $1 = 0 ]; then
%saveFileContext targeted
%saveFileContext mls
fi

%postun
if [ $1 = 0 ]; then
semodule -s targeted -r hal polkit
%relabel targeted
semodule -s mls -r  hal polkit
%relabel mls
fi

%changelog
* Fri Jan 11 2007 Dan Walsh <dwalsh@redhat.com> 1.0.0-1
- Initial HAL Policy
